Index: palm/trunk/SOURCE/module_interface.f90
===================================================================
--- palm/trunk/SOURCE/module_interface.f90	(revision 3763)
+++ palm/trunk/SOURCE/module_interface.f90	(revision 3766)
@@ -468,33 +473,33 @@
 !> Read module-specific parameter namelists
 !------------------------------------------------------------------------------!
-SUBROUTINE module_interface_parin
-
-
-   CALL bio_parin
-   CALL bcm_parin
-   CALL chem_parin
-   CALL flight_parin ! ToDo: rename module to match filename
-   CALL gust_parin
-   CALL im_parin
-   CALL lsm_parin
-   ! ToDo: create parin routine for large_scale_forcing and nudging (should be seperate modules or new module switch)
-   CALL mas_parin
-   CALL nesting_offl_parin
-   CALL ocean_parin
-   CALL pcm_parin
-   CALL radiation_parin
-   CALL salsa_parin
-   CALL spectra_parin
-   CALL surface_data_output_parin
-   CALL stg_parin
-   CALL user_parin ! ToDo: make user code a single Fortran module
-   CALL usm_parin
-   CALL vm_parin
-   CALL wtm_parin
-
-   CALL package_parin ! ToDo: deprecated, needs to be dissolved
-
-
-END SUBROUTINE module_interface_parin
+ SUBROUTINE module_interface_parin
+
+
+    CALL bio_parin
+    CALL bcm_parin
+    CALL chem_parin
+    CALL flight_parin ! ToDo: rename module to match filename
+    CALL gust_parin
+    CALL im_parin
+    CALL lsm_parin
+    ! ToDo: create parin routine for large_scale_forcing and nudging (should be seperate modules or new module switch)
+    CALL mas_parin
+    CALL nesting_offl_parin
+    CALL ocean_parin
+    CALL pcm_parin
+    CALL radiation_parin
+    CALL salsa_parin
+    CALL spectra_parin
+    CALL surface_data_output_parin
+    CALL stg_parin
+    CALL user_parin ! ToDo: make user code a single Fortran module
+    CALL usm_parin
+    CALL vm_parin
+    CALL wtm_parin
+
+    CALL package_parin ! ToDo: deprecated, needs to be dissolved
+
+
+ END SUBROUTINE module_interface_parin
 
 
@@ -504,28 +509,28 @@
 !> Perform module-specific initialization checks
 !------------------------------------------------------------------------------!
-SUBROUTINE module_interface_check_parameters
-
-
-   IF ( bulk_cloud_model )     CALL bcm_check_parameters
-   IF ( air_chemistry )        CALL chem_check_parameters
-   IF ( gust_module_enabled )  CALL gust_check_parameters
-   IF ( indoor_model )         CALL im_check_parameters
-   IF ( land_surface )         CALL lsm_check_parameters
-   IF ( large_scale_forcing  .OR.  nudging )  CALL lsf_nudging_check_parameters ! ToDo: create single module switch
-   IF ( nesting_offline )      CALL nesting_offl_check_parameters
-   IF ( ocean_mode )           CALL ocean_check_parameters
-   IF ( plant_canopy )         CALL pcm_check_parameters
-   IF ( radiation )            CALL radiation_check_parameters
-   IF ( salsa )                CALL salsa_check_parameters
-   IF ( calculate_spectra )    CALL spectra_check_parameters
-   IF ( surface_output )       CALL surface_data_output_check_parameters
-   IF ( syn_turb_gen )         CALL stg_check_parameters
-   IF ( urban_surface )        CALL usm_check_parameters
-   IF ( virtual_measurement )  CALL vm_check_parameters
-   IF ( wind_turbine )         CALL wtm_check_parameters
-   IF ( user_module_enabled )  CALL user_check_parameters
-
-
-END SUBROUTINE module_interface_check_parameters
+ SUBROUTINE module_interface_check_parameters
+
+
+    IF ( bulk_cloud_model )     CALL bcm_check_parameters
+    IF ( air_chemistry )        CALL chem_check_parameters
+    IF ( gust_module_enabled )  CALL gust_check_parameters
+    IF ( indoor_model )         CALL im_check_parameters
+    IF ( land_surface )         CALL lsm_check_parameters
+    IF ( large_scale_forcing  .OR.  nudging )  CALL lsf_nudging_check_parameters ! ToDo: create single module switch
+    IF ( nesting_offline )      CALL nesting_offl_check_parameters
+    IF ( ocean_mode )           CALL ocean_check_parameters
+    IF ( plant_canopy )         CALL pcm_check_parameters
+    IF ( radiation )            CALL radiation_check_parameters
+    IF ( salsa )                CALL salsa_check_parameters
+    IF ( calculate_spectra )    CALL spectra_check_parameters
+    IF ( surface_output )       CALL surface_data_output_check_parameters
+    IF ( syn_turb_gen )         CALL stg_check_parameters
+    IF ( urban_surface )        CALL usm_check_parameters
+    IF ( virtual_measurement )  CALL vm_check_parameters
+    IF ( wind_turbine )         CALL wtm_check_parameters
+    IF ( user_module_enabled )  CALL user_check_parameters
+
+
+ END SUBROUTINE module_interface_check_parameters
 
 
@@ -535,23 +540,23 @@
 !> Check module-specific data output of timeseries
 !------------------------------------------------------------------------------!
-SUBROUTINE module_interface_check_data_output_ts( dots_max, dots_num, dots_label, dots_unit )
-
-
-   INTEGER(iwp),      INTENT(IN)    ::  dots_max !< variable output array index
-   INTEGER(iwp),      INTENT(INOUT)    ::  dots_num !< variable output array index
-   CHARACTER (LEN=*), DIMENSION(dots_max), INTENT(INOUT) :: dots_label
-   CHARACTER (LEN=*), DIMENSION(dots_max), INTENT(INOUT) :: dots_unit
-
-
-   IF ( radiation )  THEN
-      CALL radiation_check_data_output_ts( dots_max, dots_num, dots_label, dots_unit )
-   ENDIF
-
-   IF ( user_module_enabled )  THEN
-      CALL user_check_data_output_ts( dots_max, dots_num, dots_label, dots_unit )
-   ENDIF
-
-
-END SUBROUTINE module_interface_check_data_output_ts
+ SUBROUTINE module_interface_check_data_output_ts( dots_max, dots_num, dots_label, dots_unit )
+
+
+    INTEGER(iwp),      INTENT(IN)    ::  dots_max !< variable output array index
+    INTEGER(iwp),      INTENT(INOUT)    ::  dots_num !< variable output array index
+    CHARACTER (LEN=*), DIMENSION(dots_max), INTENT(INOUT) :: dots_label
+    CHARACTER (LEN=*), DIMENSION(dots_max), INTENT(INOUT) :: dots_unit
+
+
+    IF ( radiation )  THEN
+       CALL radiation_check_data_output_ts( dots_max, dots_num, dots_label, dots_unit )
+    ENDIF
+
+    IF ( user_module_enabled )  THEN
+       CALL user_check_data_output_ts( dots_max, dots_num, dots_label, dots_unit )
+    ENDIF
+
+
+ END SUBROUTINE module_interface_check_data_output_ts
 
 
@@ -561,49 +566,48 @@
 !> Check module-specific data output of profiles
 !------------------------------------------------------------------------------!
-SUBROUTINE module_interface_check_data_output_pr( variable, var_count, unit,   &
-                                                dopr_unit )
-
-
-   CHARACTER (LEN=*), INTENT(IN)    ::  variable  !< variable name
-   INTEGER(iwp),      INTENT(IN)    ::  var_count !< variable output array index
-   CHARACTER (LEN=*), INTENT(INOUT) ::  unit      !< physical unit of variable
-   CHARACTER (LEN=*), INTENT(OUT)   ::  dopr_unit !< local value of dopr_unit
-
-   IF ( unit == 'illegal' .AND.  bulk_cloud_model )  THEN
-      CALL bcm_check_data_output_pr( variable, var_count, unit, dopr_unit )
-   ENDIF
-
-   IF ( unit == 'illegal' .AND.  air_chemistry )  THEN
-      CALL chem_check_data_output_pr( variable, var_count, unit, dopr_unit )
-   ENDIF
-
-   IF ( unit == 'illegal'  .AND.  gust_module_enabled  )  THEN
-      CALL gust_check_data_output_pr( variable, var_count, unit, dopr_unit )
-   ENDIF
-
-   IF ( unit == 'illegal' )  THEN ! ToDo: add module switch if possible
-      CALL lsm_check_data_output_pr( variable, var_count, unit, dopr_unit )
-   ENDIF
-
-   IF ( unit == 'illegal' )  THEN ! ToDo: add module switch if possible
-      CALL lsf_nudging_check_data_output_pr( variable, var_count, unit, dopr_unit )
-   ENDIF
-
-   IF ( unit == 'illegal'  .AND.  ocean_mode )  THEN
-      CALL ocean_check_data_output_pr( variable, var_count, unit, dopr_unit )
-   ENDIF
-
-   IF ( unit == 'illegal'  .AND.  radiation )  THEN
-      CALL radiation_check_data_output_pr( variable, var_count, unit, dopr_unit )
-   ENDIF
-
-   IF ( unit == 'illegal'  .AND.  user_module_enabled )  THEN
-      unit = '' ! ToDo: Seems like a hack. Find a general soultion!
-      CALL user_check_data_output_pr( variable, var_count, unit, dopr_unit )
-   ENDIF
-
-
-
-END SUBROUTINE module_interface_check_data_output_pr
+ SUBROUTINE module_interface_check_data_output_pr( variable, var_count, unit,  &
+                                                   dopr_unit )
+
+
+    CHARACTER (LEN=*), INTENT(IN)    ::  variable  !< variable name
+    INTEGER(iwp),      INTENT(IN)    ::  var_count !< variable output array index
+    CHARACTER (LEN=*), INTENT(INOUT) ::  unit      !< physical unit of variable
+    CHARACTER (LEN=*), INTENT(OUT)   ::  dopr_unit !< local value of dopr_unit
+
+    IF ( unit == 'illegal' .AND.  bulk_cloud_model )  THEN
+       CALL bcm_check_data_output_pr( variable, var_count, unit, dopr_unit )
+    ENDIF
+
+    IF ( unit == 'illegal' .AND.  air_chemistry )  THEN
+       CALL chem_check_data_output_pr( variable, var_count, unit, dopr_unit )
+    ENDIF
+
+    IF ( unit == 'illegal'  .AND.  gust_module_enabled  )  THEN
+       CALL gust_check_data_output_pr( variable, var_count, unit, dopr_unit )
+    ENDIF
+
+    IF ( unit == 'illegal' )  THEN ! ToDo: add module switch if possible
+       CALL lsm_check_data_output_pr( variable, var_count, unit, dopr_unit )
+    ENDIF
+
+    IF ( unit == 'illegal' )  THEN ! ToDo: add module switch if possible
+       CALL lsf_nudging_check_data_output_pr( variable, var_count, unit, dopr_unit )
+    ENDIF
+
+    IF ( unit == 'illegal'  .AND.  ocean_mode )  THEN
+       CALL ocean_check_data_output_pr( variable, var_count, unit, dopr_unit )
+    ENDIF
+
+    IF ( unit == 'illegal'  .AND.  radiation )  THEN
+       CALL radiation_check_data_output_pr( variable, var_count, unit, dopr_unit )
+    ENDIF
+
+    IF ( unit == 'illegal'  .AND.  user_module_enabled )  THEN
+       unit = '' ! ToDo: Seems like a hack. Find a general soultion!
+       CALL user_check_data_output_pr( variable, var_count, unit, dopr_unit )
+    ENDIF
+
+
+ END SUBROUTINE module_interface_check_data_output_pr
 
 !------------------------------------------------------------------------------!
@@ -612,69 +616,69 @@
 !> Check module-specific 2D and 3D data output
 !------------------------------------------------------------------------------!
-SUBROUTINE module_interface_check_data_output( variable, unit, i, j, ilen, k )
-
-
-   CHARACTER (LEN=*), INTENT(IN)    ::  variable !< variable name
-   CHARACTER (LEN=*), INTENT(INOUT) ::  unit     !< physical unit of variable
-
-   INTEGER(iwp),      INTENT(IN)    :: i         !< ToDo: remove dummy argument, instead pass string from data_output
-   INTEGER(iwp),      INTENT(IN)    :: j         !< average quantity? 0 = no, 1 = yes
-   INTEGER(iwp),      INTENT(IN)    :: ilen      !< ToDo: remove dummy argument, instead pass string from data_output
-   INTEGER(iwp),      INTENT(IN)    :: k         !< ToDo: remove dummy argument, instead pass string from data_output
-
-   IF ( unit == 'illegal'  .AND.  biometeorology )  THEN
-      CALL bio_check_data_output( variable, unit, i, j, ilen, k )
-   ENDIF
-
-   IF ( unit == 'illegal'  .AND.  bulk_cloud_model  )  THEN
-      CALL bcm_check_data_output( variable, unit )
-   ENDIF
-
-   IF ( unit == 'illegal'  .AND.  air_chemistry                                &
-        .AND.  (variable(1:3) == 'kc_' .OR. variable(1:3) == 'em_') )  THEN  ! ToDo: remove aditional conditions
-      CALL chem_check_data_output( variable, unit, i, ilen, k )
-   ENDIF
-
-   IF ( unit == 'illegal'  .AND.  gust_module_enabled  )  THEN
-      CALL gust_check_data_output( variable, unit )
-   ENDIF
-
-   IF ( unit == 'illegal' )  THEN  ! ToDo: add module switch if possible
-      CALL lsm_check_data_output( variable, unit, i, ilen, k )
-   ENDIF
-
-   IF ( unit == 'illegal'  .AND.  ocean_mode )  THEN
-      CALL ocean_check_data_output( variable, unit )
-   ENDIF
-
-   IF ( unit == 'illegal'  .AND.  plant_canopy                                 &
-        .AND.  variable(1:4) == 'pcm_' )  THEN  ! ToDo: remove aditional conditions
-      CALL pcm_check_data_output( variable, unit )
-   ENDIF
-
-   IF ( unit == 'illegal'  .AND.  radiation )  THEN
-      CALL radiation_check_data_output( variable, unit, i, ilen, k )
-   ENDIF
-
-   IF ( unit == 'illegal' .AND. salsa ) THEN
+ SUBROUTINE module_interface_check_data_output( variable, unit, i, j, ilen, k )
+
+
+    CHARACTER (LEN=*), INTENT(IN)    ::  variable !< variable name
+    CHARACTER (LEN=*), INTENT(INOUT) ::  unit     !< physical unit of variable
+
+    INTEGER(iwp),      INTENT(IN)    :: i         !< ToDo: remove dummy argument, instead pass string from data_output
+    INTEGER(iwp),      INTENT(IN)    :: j         !< average quantity? 0 = no, 1 = yes
+    INTEGER(iwp),      INTENT(IN)    :: ilen      !< ToDo: remove dummy argument, instead pass string from data_output
+    INTEGER(iwp),      INTENT(IN)    :: k         !< ToDo: remove dummy argument, instead pass string from data_output
+
+    IF ( unit == 'illegal'  .AND.  biometeorology )  THEN
+       CALL bio_check_data_output( variable, unit, i, j, ilen, k )
+    ENDIF
+
+    IF ( unit == 'illegal'  .AND.  bulk_cloud_model  )  THEN
+       CALL bcm_check_data_output( variable, unit )
+    ENDIF
+
+    IF ( unit == 'illegal'  .AND.  air_chemistry                               &
+         .AND.  (variable(1:3) == 'kc_' .OR. variable(1:3) == 'em_') )  THEN  ! ToDo: remove aditional conditions
+       CALL chem_check_data_output( variable, unit, i, ilen, k )
+    ENDIF
+
+    IF ( unit == 'illegal'  .AND.  gust_module_enabled  )  THEN
+       CALL gust_check_data_output( variable, unit )
+    ENDIF
+
+    IF ( unit == 'illegal' )  THEN  ! ToDo: add module switch if possible
+       CALL lsm_check_data_output( variable, unit, i, ilen, k )
+    ENDIF
+
+    IF ( unit == 'illegal'  .AND.  ocean_mode )  THEN
+       CALL ocean_check_data_output( variable, unit )
+    ENDIF
+
+    IF ( unit == 'illegal'  .AND.  plant_canopy                                &
+         .AND.  variable(1:4) == 'pcm_' )  THEN  ! ToDo: remove aditional conditions
+       CALL pcm_check_data_output( variable, unit )
+    ENDIF
+
+    IF ( unit == 'illegal'  .AND.  radiation )  THEN
+       CALL radiation_check_data_output( variable, unit, i, ilen, k )
+    ENDIF
+
+    IF ( unit == 'illegal' .AND. salsa ) THEN
        CALL salsa_check_data_output( variable, unit )
-   ENDIF
-
-   IF ( unit == 'illegal' .AND. indoor_model ) THEN
+    ENDIF
+
+    IF ( unit == 'illegal' .AND. indoor_model ) THEN
        CALL im_check_data_output( variable, unit )
-   ENDIF
+    ENDIF
    
-   IF ( unit == 'illegal'  .AND.  urban_surface                      &
+    IF ( unit == 'illegal'  .AND.  urban_surface                      &
         .AND.  variable(1:4) == 'usm_' )  THEN  ! ToDo: remove aditional conditions
        CALL usm_check_data_output( variable, unit )
-   ENDIF
-
-   IF ( unit == 'illegal'  .AND.  user_module_enabled )  THEN
-      unit = ''
-      CALL user_check_data_output( variable, unit )
-   ENDIF
-
-
-END SUBROUTINE module_interface_check_data_output
+    ENDIF
+
+    IF ( unit == 'illegal'  .AND.  user_module_enabled )  THEN
+       unit = ''
+       CALL user_check_data_output( variable, unit )
+    ENDIF
+
+
+ END SUBROUTINE module_interface_check_data_output
 
 
@@ -685,30 +689,30 @@
 !> Interface for init_masks. ToDo: get rid of these redundant calls!
 !------------------------------------------------------------------------------!
-SUBROUTINE module_interface_init_masks( variable, unit )
-
-
-   CHARACTER (LEN=*), INTENT(IN)    ::  variable !< variable name
-   CHARACTER (LEN=*), INTENT(INOUT) ::  unit     !< physical unit of variable
-
-   IF ( unit == 'illegal'  .AND.  air_chemistry                                &
-        .AND.  (variable(1:3) == 'kc_' .OR. variable(1:3) == 'em_') )  THEN  ! ToDo: remove aditional conditions
-      CALL chem_check_data_output( variable, unit, 0, 0, 0 )
-   ENDIF
-
-   IF ( unit == 'illegal'  .AND.  radiation )  THEN
-      CALL radiation_check_data_output( variable, unit, 0, 0, 0 )
-   ENDIF
-
-   IF ( unit == 'illegal'  .AND.  salsa )  THEN
-      CALL salsa_check_data_output( variable, unit )
-   ENDIF
-
-   IF ( unit == 'illegal'  .AND.  user_module_enabled )  THEN
-      unit = ''
-      CALL user_check_data_output( variable, unit )
-   ENDIF
-
-
-END SUBROUTINE module_interface_init_masks
+ SUBROUTINE module_interface_init_masks( variable, unit )
+
+
+    CHARACTER (LEN=*), INTENT(IN)    ::  variable !< variable name
+    CHARACTER (LEN=*), INTENT(INOUT) ::  unit     !< physical unit of variable
+
+    IF ( unit == 'illegal'  .AND.  air_chemistry                               &
+         .AND.  (variable(1:3) == 'kc_' .OR. variable(1:3) == 'em_') )  THEN  ! ToDo: remove aditional conditions
+       CALL chem_check_data_output( variable, unit, 0, 0, 0 )
+    ENDIF
+
+    IF ( unit == 'illegal'  .AND.  radiation )  THEN
+       CALL radiation_check_data_output( variable, unit, 0, 0, 0 )
+    ENDIF
+
+    IF ( unit == 'illegal'  .AND.  salsa )  THEN
+       CALL salsa_check_data_output( variable, unit )
+    ENDIF
+
+    IF ( unit == 'illegal'  .AND.  user_module_enabled )  THEN
+       unit = ''
+       CALL user_check_data_output( variable, unit )
+    ENDIF
+
+
+ END SUBROUTINE module_interface_init_masks
 
 
@@ -719,22 +723,25 @@
 !> Define appropriate grid for module-specific netcdf output variables.
 !------------------------------------------------------------------------------!
-SUBROUTINE module_interface_define_netcdf_grid( var, found,                    &
-                                                grid_x, grid_y, grid_z )
-
-
-   CHARACTER (LEN=*), INTENT(IN)  ::  var    !< variable name
-   LOGICAL,           INTENT(OUT) ::  found  !< indicates if variable was found
-   CHARACTER (LEN=*), INTENT(OUT) ::  grid_x !< netcdf dimension in x-direction
-   CHARACTER (LEN=*), INTENT(OUT) ::  grid_y !< netcdf dimension in y-direction
-   CHARACTER (LEN=*), INTENT(OUT) ::  grid_z !< netcdf dimension in z-direction
-!
-!--As long as no action is done in this subroutine, initialize strings with   
-!--intent(out) attribute, in order to avoid compiler warnings.
-   found  = .FALSE.
-   grid_x = 'none'
-   grid_y = 'none'
-   grid_z = 'none'
-
-END SUBROUTINE module_interface_define_netcdf_grid
+ SUBROUTINE module_interface_define_netcdf_grid( var, found,                   &
+                                                 grid_x, grid_y, grid_z )
+
+
+    CHARACTER (LEN=*), INTENT(IN)  ::  var    !< variable name
+    LOGICAL,           INTENT(OUT) ::  found  !< indicates if variable was found
+    CHARACTER (LEN=*), INTENT(OUT) ::  grid_x !< netcdf dimension in x-direction
+    CHARACTER (LEN=*), INTENT(OUT) ::  grid_y !< netcdf dimension in y-direction
+    CHARACTER (LEN=*), INTENT(OUT) ::  grid_z !< netcdf dimension in z-direction
+!
+!-- As long as no action is done in this subroutine, initialize strings with
+!-- intent(out) attribute, in order to avoid compiler warnings.
+    found  = .FALSE.
+    grid_x = 'none'
+    grid_y = 'none'
+    grid_z = 'none'
+!
+!-- Use var to avoid compiler warning about unused variable
+    IF ( var == ' ' )  RETURN
+
+ END SUBROUTINE module_interface_define_netcdf_grid
 
 
@@ -744,20 +751,20 @@
 !> Allocate module-specific arrays and pointers
 !------------------------------------------------------------------------------!
-SUBROUTINE module_interface_init_arrays
-
-
-   IF ( bulk_cloud_model    )  CALL bcm_init_arrays
-   IF ( air_chemistry       )  CALL chem_init_arrays
-   IF ( gust_module_enabled )  CALL gust_init_arrays
-   IF ( land_surface        )  CALL lsm_init_arrays
-   IF ( ocean_mode          )  CALL ocean_init_arrays
-   IF ( salsa               )  CALL salsa_init_arrays
-   IF ( urban_surface       )  CALL usm_init_arrays
-   IF ( surface_output      )  CALL surface_data_output_init_arrays
-   IF ( wind_turbine        )  CALL wtm_init_arrays
-   IF ( user_module_enabled )  CALL user_init_arrays
-
-
-END SUBROUTINE module_interface_init_arrays
+ SUBROUTINE module_interface_init_arrays
+
+
+    IF ( bulk_cloud_model    )  CALL bcm_init_arrays
+    IF ( air_chemistry       )  CALL chem_init_arrays
+    IF ( gust_module_enabled )  CALL gust_init_arrays
+    IF ( land_surface        )  CALL lsm_init_arrays
+    IF ( ocean_mode          )  CALL ocean_init_arrays
+    IF ( salsa               )  CALL salsa_init_arrays
+    IF ( urban_surface       )  CALL usm_init_arrays
+    IF ( surface_output      )  CALL surface_data_output_init_arrays
+    IF ( wind_turbine        )  CALL wtm_init_arrays
+    IF ( user_module_enabled )  CALL user_init_arrays
+
+
+ END SUBROUTINE module_interface_init_arrays
 
 
@@ -767,27 +774,27 @@
 !> Perform module-specific initialization
 !------------------------------------------------------------------------------!
-SUBROUTINE module_interface_init
-
-
-   IF ( biometeorology      )  CALL bio_init
-   IF ( bulk_cloud_model    )  CALL bcm_init
-   IF ( air_chemistry       )  CALL chem_init
-   IF ( virtual_flight      )  CALL flight_init
-   IF ( gust_module_enabled )  CALL gust_init
-   IF ( indoor_model        )  CALL im_init
-   IF ( large_scale_forcing )  CALL lsf_init
-   IF ( land_surface        )  CALL lsm_init
-   IF ( nudging             )  CALL nudge_init
-   IF ( ocean_mode          )  CALL ocean_init
-   IF ( plant_canopy        )  CALL pcm_init
-   IF ( salsa               )  CALL salsa_init
-   IF ( urban_surface       )  CALL usm_init
-   IF ( virtual_measurement )  CALL vm_init
-   IF ( wind_turbine        )  CALL wtm_init
-   IF ( radiation           )  CALL radiation_init
-   IF ( user_module_enabled )  CALL user_init
-
-
-END SUBROUTINE module_interface_init
+ SUBROUTINE module_interface_init
+
+
+    IF ( biometeorology      )  CALL bio_init
+    IF ( bulk_cloud_model    )  CALL bcm_init
+    IF ( air_chemistry       )  CALL chem_init
+    IF ( virtual_flight      )  CALL flight_init
+    IF ( gust_module_enabled )  CALL gust_init
+    IF ( indoor_model        )  CALL im_init
+    IF ( large_scale_forcing )  CALL lsf_init
+    IF ( land_surface        )  CALL lsm_init
+    IF ( nudging             )  CALL nudge_init
+    IF ( ocean_mode          )  CALL ocean_init
+    IF ( plant_canopy        )  CALL pcm_init
+    IF ( salsa               )  CALL salsa_init
+    IF ( urban_surface       )  CALL usm_init
+    IF ( virtual_measurement )  CALL vm_init
+    IF ( wind_turbine        )  CALL wtm_init
+    IF ( radiation           )  CALL radiation_init
+    IF ( user_module_enabled )  CALL user_init
+
+
+ END SUBROUTINE module_interface_init
 
 
@@ -797,11 +804,11 @@
 !> Perform module-specific post-initialization checks
 !------------------------------------------------------------------------------!
-SUBROUTINE module_interface_init_checks
-
-
-   IF ( biometeorology      )  CALL bio_init_checks
-
-
-END SUBROUTINE module_interface_init_checks
+ SUBROUTINE module_interface_init_checks
+
+
+    IF ( biometeorology      )  CALL bio_init_checks
+
+
+ END SUBROUTINE module_interface_init_checks
 
 
@@ -811,28 +818,28 @@
 !> Gather module-specific header output
 !------------------------------------------------------------------------------!
-SUBROUTINE module_interface_header( io )
-
-
-   INTEGER(iwp), INTENT(IN) ::  io  !< unit of the output file
-
-
-   IF ( biometeorology      )  CALL bio_header ( io )
-   IF ( bulk_cloud_model    )  CALL bcm_header( io )
-   IF ( air_chemistry       )  CALL chem_header ( io )
-   IF ( virtual_flight      )  CALL flight_header( io )
-   IF ( gust_module_enabled )  CALL gust_header( io )
-   IF ( land_surface        )  CALL lsm_header( io )
-   IF ( large_scale_forcing )  CALL lsf_nudging_header( io )
-   IF ( nesting_offline     )  CALL nesting_offl_header( io )
-   IF ( ocean_mode          )  CALL ocean_header( io )
-   IF ( plant_canopy        )  CALL pcm_header( io )
-   IF ( radiation           )  CALL radiation_header( io )
-   IF ( salsa               )  CALL salsa_header( io )
-   IF ( calculate_spectra   )  CALL spectra_header( io )
-   IF ( syn_turb_gen        )  CALL stg_header( io )
-   IF ( user_module_enabled )  CALL user_header( io )
-
-
-END SUBROUTINE module_interface_header
+ SUBROUTINE module_interface_header( io )
+
+
+    INTEGER(iwp), INTENT(IN) ::  io  !< unit of the output file
+
+
+    IF ( biometeorology      )  CALL bio_header ( io )
+    IF ( bulk_cloud_model    )  CALL bcm_header( io )
+    IF ( air_chemistry       )  CALL chem_header ( io )
+    IF ( virtual_flight      )  CALL flight_header( io )
+    IF ( gust_module_enabled )  CALL gust_header( io )
+    IF ( land_surface        )  CALL lsm_header( io )
+    IF ( large_scale_forcing )  CALL lsf_nudging_header( io )
+    IF ( nesting_offline     )  CALL nesting_offl_header( io )
+    IF ( ocean_mode          )  CALL ocean_header( io )
+    IF ( plant_canopy        )  CALL pcm_header( io )
+    IF ( radiation           )  CALL radiation_header( io )
+    IF ( salsa               )  CALL salsa_header( io )
+    IF ( calculate_spectra   )  CALL spectra_header( io )
+    IF ( syn_turb_gen        )  CALL stg_header( io )
+    IF ( user_module_enabled )  CALL user_header( io )
+
+
+ END SUBROUTINE module_interface_header
 
 
@@ -842,15 +849,15 @@
 !> Perform module-specific actions while in time-integration (cache-optimized)
 !------------------------------------------------------------------------------!
-SUBROUTINE module_interface_actions( location )
-
-
-   CHARACTER (LEN=*), INTENT(IN) ::  location !< call location string
-
-
-   IF ( gust_module_enabled )  CALL gust_actions( location )
-   IF ( user_module_enabled )  CALL user_actions( location )
-
-
-END SUBROUTINE module_interface_actions
+ SUBROUTINE module_interface_actions( location )
+
+
+    CHARACTER (LEN=*), INTENT(IN) ::  location !< call location string
+
+
+    IF ( gust_module_enabled )  CALL gust_actions( location )
+    IF ( user_module_enabled )  CALL user_actions( location )
+
+
+ END SUBROUTINE module_interface_actions
 
 
@@ -860,17 +867,17 @@
 !> Perform module-specific actions while in time-integration (vector-optimized)
 !------------------------------------------------------------------------------!
-SUBROUTINE module_interface_actions_ij( i, j, location )
-
-
-   INTEGER(iwp),      INTENT(IN) ::  i         !< grid index in x-direction
-   INTEGER(iwp),      INTENT(IN) ::  j         !< grid index in y-direction
-   CHARACTER (LEN=*), INTENT(IN) ::  location  !< call location string
-
-
-   IF ( gust_module_enabled )  CALL gust_actions( i, j, location )
-   IF ( user_module_enabled )  CALL user_actions( i, j, location )
-
-
-END SUBROUTINE module_interface_actions_ij
+ SUBROUTINE module_interface_actions_ij( i, j, location )
+
+
+    INTEGER(iwp),      INTENT(IN) ::  i         !< grid index in x-direction
+    INTEGER(iwp),      INTENT(IN) ::  j         !< grid index in y-direction
+    CHARACTER (LEN=*), INTENT(IN) ::  location  !< call location string
+
+
+    IF ( gust_module_enabled )  CALL gust_actions( i, j, location )
+    IF ( user_module_enabled )  CALL user_actions( i, j, location )
+
+
+ END SUBROUTINE module_interface_actions_ij
 
 
@@ -880,19 +887,19 @@
 !> Swap the timelevel pointers for module-specific arrays
 !------------------------------------------------------------------------------!
-SUBROUTINE module_interface_swap_timelevel ( swap_mode )
-
-
-   INTEGER(iwp), INTENT(IN) :: swap_mode !< determines procedure of pointer swap
-
-   IF ( bulk_cloud_model    )  CALL bcm_swap_timelevel( swap_mode )
-   IF ( air_chemistry       )  CALL chem_swap_timelevel( swap_mode )
-   IF ( gust_module_enabled )  CALL gust_swap_timelevel( swap_mode )
-   IF ( land_surface        )  CALL lsm_swap_timelevel( swap_mode )
-   IF ( ocean_mode          )  CALL ocean_swap_timelevel( swap_mode )
-   IF ( salsa               )  CALL salsa_swap_timelevel( swap_mode )
-   IF ( urban_surface       )  CALL usm_swap_timelevel( swap_mode )
-
-
-END SUBROUTINE module_interface_swap_timelevel
+ SUBROUTINE module_interface_swap_timelevel ( swap_mode )
+
+
+    INTEGER(iwp), INTENT(IN) :: swap_mode !< determines procedure of pointer swap
+
+    IF ( bulk_cloud_model    )  CALL bcm_swap_timelevel( swap_mode )
+    IF ( air_chemistry       )  CALL chem_swap_timelevel( swap_mode )
+    IF ( gust_module_enabled )  CALL gust_swap_timelevel( swap_mode )
+    IF ( land_surface        )  CALL lsm_swap_timelevel( swap_mode )
+    IF ( ocean_mode          )  CALL ocean_swap_timelevel( swap_mode )
+    IF ( salsa               )  CALL salsa_swap_timelevel( swap_mode )
+    IF ( urban_surface       )  CALL usm_swap_timelevel( swap_mode )
+
+
+ END SUBROUTINE module_interface_swap_timelevel
 
 
@@ -903,23 +910,23 @@
 !> Perform module-specific averaging of 3D data
 !------------------------------------------------------------------------------!
-SUBROUTINE module_interface_3d_data_averaging( mode, variable )
-
-
-   CHARACTER (LEN=*), INTENT(IN) ::  mode     !< averaging interface mode
-   CHARACTER (LEN=*), INTENT(IN) ::  variable !< variable name
-
-   IF ( biometeorology      )  CALL bio_3d_data_averaging( mode, variable )
-   IF ( bulk_cloud_model    )  CALL bcm_3d_data_averaging( mode, variable )
-   IF ( air_chemistry       )  CALL chem_3d_data_averaging( mode, variable )
-   IF ( gust_module_enabled )  CALL gust_3d_data_averaging( mode, variable )
-   IF ( land_surface        )  CALL lsm_3d_data_averaging( mode, variable )
-   IF ( ocean_mode          )  CALL ocean_3d_data_averaging( mode, variable )
-   IF ( radiation           )  CALL radiation_3d_data_averaging( mode, variable )
-   IF ( salsa               )  CALL salsa_3d_data_averaging( mode, variable )
-   IF ( urban_surface       )  CALL usm_3d_data_averaging( mode, variable )
-   IF ( user_module_enabled )  CALL user_3d_data_averaging( mode, variable )
-
-
-END SUBROUTINE module_interface_3d_data_averaging
+ SUBROUTINE module_interface_3d_data_averaging( mode, variable )
+
+
+    CHARACTER (LEN=*), INTENT(IN) ::  mode     !< averaging interface mode
+    CHARACTER (LEN=*), INTENT(IN) ::  variable !< variable name
+
+    IF ( biometeorology      )  CALL bio_3d_data_averaging( mode, variable )
+    IF ( bulk_cloud_model    )  CALL bcm_3d_data_averaging( mode, variable )
+    IF ( air_chemistry       )  CALL chem_3d_data_averaging( mode, variable )
+    IF ( gust_module_enabled )  CALL gust_3d_data_averaging( mode, variable )
+    IF ( land_surface        )  CALL lsm_3d_data_averaging( mode, variable )
+    IF ( ocean_mode          )  CALL ocean_3d_data_averaging( mode, variable )
+    IF ( radiation           )  CALL radiation_3d_data_averaging( mode, variable )
+    IF ( salsa               )  CALL salsa_3d_data_averaging( mode, variable )
+    IF ( urban_surface       )  CALL usm_3d_data_averaging( mode, variable )
+    IF ( user_module_enabled )  CALL user_3d_data_averaging( mode, variable )
+
+
+ END SUBROUTINE module_interface_3d_data_averaging
 
 !------------------------------------------------------------------------------!
